/**
 * This module defines all components pertaining to "Profiles", that is,
 * isolated Finnow databases that belong to a single user. Each profile is
 * completely separate from all others.
 */
module profile;

public import profile.api;
public import profile.data;
public import profile.data_impl_sqlite;
public import profile.model;
public import profile.service;
